=== debian/changelog ===
libalog (0.6.1-6) unstable; urgency=medium

  * Reupload to unstable for the gnat-11 transition.
  * Require dh-ada-library 7.5, which generates ada:Depends differently

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 09 May 2022 11:40:19 +0200

libalog (0.6.1-5) experimental; urgency=medium

  * Rebuild with gnat-11. Rename -dev package accordingly.
  * Standards-Version 4.6.0.
  * Use new unversioned debian_packaging.mk.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 14 Mar 2022 06:40:39 +0000

libalog (0.6.1-4) unstable; urgency=medium

  * Reupload to unstable for gnat-10 transition.
  * Standards-Version: 4.5.1.
  * Remove extra signatures from public upstream signing  key.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 19 Dec 2020 15:56:52 +0100

libalog (0.6.1-3) experimental; urgency=medium

  * Rebuild with gcc-10. Rename lib and -dev accordingly.
  * Debhelper 13 checks the noopt build option.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 26 Sep 2020 18:33:52 +0000

libalog (0.6.1-2) unstable; urgency=medium

  * Reupload to unstable for gnat-9 transition.
  * Standards-Version: 4.5.0.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 25 Feb 2020 14:12:16 +0100

libalog (0.6.1-1) experimental; urgency=medium

  [ Nicolas Boulenguez ]
  * Drop unapply-patches dpkg option (now almost the default)
  * Debhelper 12 does not compress examples by default anymore
  * Update variable name in autopkgtest
  * Refine -arch and -indep build dependencies
  * Pass debhelper settings to sub-Makes
  * Prevent a debhelper warning about doc-main-package
  * rules: drop obsolete variable
  * Enable all linker checks
  * Update Standards-Version to 4.4.1
  * Update copyright years
  * Build with gcc-9
  * Avoid explicit uupdate in d/watch
  * Use convenient Build-Depends-ArchE. dh-sequence-*
  * Drop fonts, generate arch diagram with free tools

  [ Adrian-Ken Rueegsegger ]
  * Adaptations for asciidoctor doc generation
  * Update upstream signing key
  * Update to release 0.6.1
  * Rename library and -dev packages per Debian Ada Policy

 -- Adrian-Ken Rueegsegger <ken@codelabs.ch>  Sat, 11 Jan 2020 15:15:14 +0100
