=== debian/control ===
Source: libalog
Section: libs
Priority: optional
Maintainer: Adrian-Ken Rueegsegger <ken@codelabs.ch>
Uploaders: Reto Buerki <reet@codelabs.ch>,
 Nicolas Boulenguez <nicolas@debian.org>
Build-Depends:
 debhelper-compat (= 13),
Build-Depends-Arch:
 dh-ada-library (>= 7.5),
 dh-sequence-ada-library,
 gnat,
 gnat-11,
 gprbuild,
 libahven10-dev,
Build-Depends-Indep:
 asciidoctor,
 ruby-pygments.rb,
 scour,
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://www.codelabs.ch/alog/
Vcs-Git: https://git.codelabs.ch/git/alog.git -b debian
Vcs-Browser: https://git.codelabs.ch/?p=alog.git

Package: libalog0.6.2
# This line is parsed by debian/rules.
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Logging framework for Ada
 Alog is a logging framework for Ada and aims to be straight forward to use and
 easily extendable. Alog provides file-based and syslog logging facilities and
 log-level support.

Package: libalog7-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, ${ada:Depends}
Description: Logging framework for Ada (development)
 Alog is a logging framework for Ada and aims to be straight forward to use and
 easily extendable. Alog provides file-based and syslog logging facilities and
 log-level support.
 .
 This package contains the development files.

Package: libalog-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Logging framework for Ada (documentation)
 Alog is a logging framework for Ada and aims to be straight forward to use and
 easily extendable. Alog provides file-based and syslog logging facilities and
 log-level support.
 .
 This package contains the documentation.
