=== debian/rules ===
#!/usr/bin/make -f

# Extract useful information from debian/control.
soversion != \
  sed -n '/^Package: libalog\([0-9.]\+\)$$/{s//\1/p;q}' debian/control

DPKG_EXPORT_BUILDFLAGS  = 1
DEB_BUILD_MAINT_OPTIONS = hardening=+all
DEB_LDFLAGS_MAINT_APPEND := -Wl,--no-undefined \
  -Wl,--no-copy-dt-needed-entries -Wl,--no-allow-shlib-undefined
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/buildopts.mk
include $(wildcard /usr/share/ada/debian_packaging.mk)
# wildcard means: not during -indep builds.

export GNAT_BUILDER_FLAGS = $(GPRBUILDFLAGS)

%:
	dh $@

override_dh_auto_build-arch:
ifeq ($(DEB_HOST_ARCH),kfreebsd-i386)
	patch -p1 < debian/Don-t-store-tracebacks-in-exception-occurrences.patch
endif
	dh_auto_build -- VERSION=$(soversion)
	dh_auto_build -- LIBRARY_KIND=static

override_dh_auto_build-indep:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	dh_auto_build -- doc
endif

override_dh_auto_install:

override_dh_auto_test-indep:
override_dh_auto_test-arch:
	dh_auto_build -- tests

# Prevent a warning about doc-main-package autodetection.
override_dh_installdocs override_dh_installexamples: override_%:
	$* --package=libalog-doc --doc-main-package=libalog-doc
	$* --remaining-packages
