=== debian/changelog ===
libalog (0.6.2-7.1build1) questing; urgency=medium

  * No-change rebuild for gnat ABI, triggered by glibc 2.42.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 21 Sep 2025 14:14:48 +0200

libalog (0.6.2-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No-change upload to unstable.

 -- Matthias Klose <doko@debian.org>  Mon, 24 Mar 2025 10:25:36 +0100

libalog (0.6.2-7) experimental; urgency=medium

  * Build tests with -O0 on arm{el,hf} as a work-around for ahven/#1096181.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 19 Feb 2025 15:27:11 +0000

libalog (0.6.2-6) experimental; urgency=medium

  * Build with gnat-14
  * Standards-Version: 4.7.0 (no changes)
  * Update copyright years

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 13 Feb 2025 21:31:22 +0100

libalog (0.6.2-5) unstable; urgency=medium

  * Reupload to unstable for the gnat-13/time_t64 transition.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 17 Mar 2024 19:09:30 +0000

libalog (0.6.2-4) experimental; urgency=medium

  * Upload to experimental because of the following transitions.
  * Build with gnat-13.  Rename library package with new SOversion.
  * Build with dh-ada-library/9. Remove version from -dev package name.
    Provide a name containing a hash.
    Build-Depend: gnat instead of gnat-13. Break/Replace previous -devs.
  * doc-base, rules, tests: simplified by an unversioned -dev.

 -- Nicolas Boulenguez <nicolas@debian.org>  Fri, 29 Dec 2023 23:29:07 +0000

libalog (0.6.2-3) unstable; urgency=medium

  * Break/Replace libalog*-dev since oldstable. Closes: #1035004.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 11 May 2023 11:14:21 +0200

libalog (0.6.2-2) unstable; urgency=medium

  * Reupload to unstable for the gnat-12 transition.
  * Standards-Version: 4.6.2 (no changes).

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 27 Dec 2022 02:07:09 +0100

libalog (0.6.2-1) experimental; urgency=medium

  [ Adrian-Ken Rueegsegger ]
  * Update to release 0.6.2
  * Adjust copyright

  [ Nicolas Boulenguez ]
  * Standards-Version: 6.4.1
  * Build with gnat-12, rename the -dev package
  * Add minimal upstream metadata
  * Update copyright years
  * Revert dh_auto_build to Make
  * Stop removing the fonts from the Debian package
  * Adapt to suggested upstream changes and dh-ada-library 8.2

 -- Adrian-Ken Rueegsegger <ken@codelabs.ch>  Sun, 27 Nov 2022 22:13:20 +0100
