=== debian/control ===
--- 
+++ 
@@ -7,24 +7,24 @@
 Build-Depends:
  debhelper-compat (= 13),
 Build-Depends-Arch:
- dh-ada-library (>= 7.5),
+ dh-ada-library (>= 9.1),
  dh-sequence-ada-library,
  gnat,
- gnat-11,
- gprbuild,
- libahven10-dev,
+ gnat-14,
+ gprbuild (>= 2025.0.0-2),
+ libahven-dev,
 Build-Depends-Indep:
  asciidoctor,
  ruby-pygments.rb,
+# Upstream runs scour, no need for dh-sequence-scour and helpers.
  scour,
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://www.codelabs.ch/alog/
 Vcs-Git: https://git.codelabs.ch/git/alog.git -b debian
 Vcs-Browser: https://git.codelabs.ch/?p=alog.git
 
-Package: libalog0.6.2
-# This line is parsed by debian/rules.
+Package: libalog0.6.3
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -33,7 +33,10 @@
  easily extendable. Alog provides file-based and syslog logging facilities and
  log-level support.
 
-Package: libalog7-dev
+Package: libalog-dev
+Breaks: libalog4-dev, libalog5-dev, libalog6-dev, libalog7-dev, libalog8-dev
+Replaces: libalog4-dev, libalog5-dev, libalog6-dev, libalog7-dev, libalog8-dev
+Provides: ${ada:Provides}
 Section: libdevel
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}
