=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS  = 1
DEB_BUILD_MAINT_OPTIONS = hardening=+all
DEB_LDFLAGS_MAINT_APPEND := -Wl,--no-undefined \
  -Wl,--no-copy-dt-needed-entries -Wl,--no-allow-shlib-undefined
include /usr/share/dpkg/buildflags.mk
include $(wildcard /usr/share/ada/packaging.mk)
# wildcard means: not during -indep builds.

export GNAT_BUILDER_FLAGS = $(GPRBUILDFLAGS)

%:
	dh $@

override_dh_auto_build-arch:
ifeq ($(DEB_HOST_ARCH),kfreebsd-i386)
	patch -p1 < debian/Don-t-store-tracebacks-in-exception-occurrences.patch
endif
	$(MAKE) VERSION=$(alog_SO_VERSION)
	$(MAKE) VERSION=

override_dh_auto_build-indep:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	$(MAKE) build-doc DIAGRAM=alog-arch-dfsg.svg
endif

override_dh_auto_install-indep:
override_dh_auto_install-arch:
	$(MAKE) install VERSION=$(alog_SO_VERSION) \
	  GPRINSTALLFLAGS='$(call shared_GPRINSTALLFLAGS,alog)'
	$(MAKE) install VERSION= \
	  GPRINSTALLFLAGS='$(static_GPRINSTALLFLAGS)'

# work-around #1096181 in ahven.
ifneq (,$(filter $(DEB_HOST_ARCH),armel armhf))
  override_dh_auto_test-arch: export ADAFLAGS += -O0
endif

override_dh_auto_test-indep:
override_dh_auto_test-arch:
	$(MAKE) tests
